cURL
curl --request GET \
--url https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cost_credits": 123,
"cost_usd": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"idempotency_key": "<string>",
"status": "<string>",
"user": {
"email": "<string>",
"id": "<string>",
"name": "<string>",
"photo_url": "<string>"
},
"duration_ms": 123,
"group_id": "<string>",
"last_reaction_sentiment": "<string>",
"parent_id": "<string>",
"status_detail": "<unknown>",
"trace": "<unknown>"
}Runs
Get Run
Get a single project run by id or idempotency key.
GET
/
orgs
/
{org_id}
/
projects
/
{project_id}
/
runs
/
{run_id}
cURL
Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Path Parameters
Platform run id or idempotency key.
Response
Run details
Show child attributes
Show child attributes
⌘I